:root {
    --primary-color: rgb(118, 118, 245);
    --success-color: rgb(92, 184, 92);
    --error-color: rgb(187,33,36);
    --white-color: #fff;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
}

.container {
    background-color: inherit;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.7);
    width: 400px;
    padding: 30px;
    border-radius: 10px;
}

.stats {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-size: 10px;
}

.score,.temps,.mot-par-minute,.precision {
    background-color: rgba(255, 255, 255, 0.6);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    width: 20%;
    border-radius: 4px;
    text-align: center;
}

.barre-temps {
  width: 100%;
  height: 10px;
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 10px;
  overflow: hidden;
  margin: 20px 0;
}

.remplissage {
  height: 100%;
  width: 0%;
  background-color: #4caf50;
  transition: width 0.1s linear;
}


.screen {
    background-color: var(--white-color);
    font-size: 2rem;
    text-align: center;
    border-radius: 10px;
    padding: 20px;
    margin-bottom: 20px;
}

input {
    width: 100%;
    padding: 10px;
    border-radius: 4px;
    border: none;
    margin-bottom: 20px;
    text-align: center;
}

.group-button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.commencer,.recommencer {
    padding: 5px 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.commencer {
    background-color: var(--success-color);
}

.recommencer {
    background-color: var(--error-color);
}

.commencer:hover {
    background-color: #4bb84b;
}
.recommencer:hover {
    background-color: #d62828;
}

.resultatsFinaux {
    background-color: var(--white-color);
    border-radius: 4px;
    padding: 10px;
    margin-top: 20px;
    text-align: center;
    display: none;
}


.shake {
  animation: shake 0.3s;
}

@keyframes shake {
  0% { transform: translateX(-4px); }
  25% { transform: translateX(4px); }
  50% { transform: translateX(-4px); }
  75% { transform: translateX(4px); }
  100% { transform: translateX(0); }
}


